 --
  -- tarcsak
     -- This is the specialization for combine
     -- Claas Dominator 105 script by surciHUN and Ladaman
     --
     -- Copyright (C) LSHCV-Team 2011, All Rights Reserved*Hungarian modders*.
     
    tarcsak = {};
    function tarcsak.prerequisitesPresent(specializations)
        return SpecializationUtil.hasSpecialization(Steerable, specializations);
    end;
    
    function tarcsak:load(xmlFile)

     self.rotorFan = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotorFan#index"));
      self.forog = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog#index"));
        self.forog2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog2#index"));
        self.forog3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog3#index"));
        self.forog4 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog4#index"));
        self.forog5 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog5#index"));
        self.forog6 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog6#index"));
        self.forog7 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog7#index"));
        self.forog8 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog8#index"));
        self.forogcsiga = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forogcsiga#index"));
        self.forogsz1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forogsz1#index"));
      	self.forogsz2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forogsz2#index"));
	self.forogsz3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forogsz3#index"));
      	self.forog9 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog9#index"));
        self.forog10 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog10#index"));
	self.forog11 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog11#index"));
	self.forog12 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog12#index"));
	self.forog13 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog13#index"));
	self.forog14 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog14#index"));
	self.forog15 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog15#index"));
      end;   
   function tarcsak:delete()
   
       
   end;
   
 
     
   function tarcsak:mouseEvent(posX, posY, isDown, isUp, button)
   end;
   
   function tarcsak:keyEvent(unicode, sym, modifier, isDown)
   end;
   
   function tarcsak:update(dt)
   
      if self:getIsActive() then
   
        rotate(self.rotorFan, dt*0.007, 0, 0);
          if self.isClient then
               if self.isThreshing and self.forog ~= nil then
					rotate(self.forog, dt*0.01, 0, 0);
               end;
            if self.isThreshing and self.forog2 ~= nil then
				rotate(self.forog2, dt*0.009, 0, 0);
			end;
			if self.isThreshing and self.forog3 ~= nil then
				rotate(self.forog3, dt*0.009, 0, 0);
			end;
               
			if self.isThreshing and self.forog4 ~= nil then
				rotate(self.forog4, dt*-0.009, 0, 0);
			end;
               
                        if self.isThreshing and self.forog5 ~= nil then
				rotate(self.forog5, dt*0, 0, 0.3);
			end;

			if self.isThreshing and self.forog6 ~= nil then
				rotate(self.forog6, dt*0, 0, 0.3);
			end;
                         
                        if self.isThreshing and self.forog7 ~= nil then
				rotate(self.forog7, dt*0.01, 0, 0);
			end;

			if self.isThreshing and self.forog8 ~= nil then
				rotate(self.forog8, dt*0.02, 0, 0);
			end;

			if self.isThreshing and self.forogcsiga ~= nil then
				rotate(self.forogcsiga, dt*0.02, 0, 0);
			end;
              
   			if self.isThreshing and self.forogsz1 ~= nil then
				rotate(self.forogsz1, dt*0.02, 0, 0);
			end;

			if self.isThreshing and self.forogsz2 ~= nil then
				rotate(self.forogsz2, dt*0.02, 0, 0);
			end;

			if self.isThreshing and self.forogsz3 ~= nil then
				rotate(self.forogsz3, dt*-0.02, 0, 0);
			end;
			
			if self.isThreshing and self.forog9 ~= nil then
				rotate(self.forog9, dt*0.009, 0, 0);
			end;

			if self.isThreshing and self.forog10 ~= nil then
				rotate(self.forog10, dt*-0.02, 0, 0);
			end;

			if self.isThreshing and self.forog11 ~= nil then
				rotate(self.forog11, dt*-0.02, 0, 0);
			end;

			if self.isThreshing and self.forog12 ~= nil then
				rotate(self.forog12, dt*0.02, 0, 0);
			end;

			if self.isThreshing and self.forog13 ~= nil then
				rotate(self.forog13, dt*-0.02, 0, 0);
			end;

			if self.isThreshing and self.forog14 ~= nil then
				rotate(self.forog14, dt*0.015, 0, 0);
			end;

			if self.isThreshing and self.forog15 ~= nil then
				rotate(self.forog15, dt*0.02, 0, 0);
			end;
		 end;
           end;
   
   end;
   
   function tarcsak:updateTick(dt)
      
  end;
  
  function tarcsak:draw()
      
  end;
  
  function tarcsak:onEnter(isControlling)
  end;
  
  function tarcsak:onLeave()
      
  end;
  
  function tarcsak:onDeactivate()
      
  end;
  

  
  
  
  
  